Noticias

Exploits de día cero encontrados en Android VoIP

Investigadores chinos han encontrado no menos de nueve vulnerabilidades de día cero en cómo Android maneja VoIP en sus versiones más recientes.

Exploits de día cero encontrados en Android VoIP
Exploits de día cero encontrados en Android VoIP

Los investigadores declararon que la mayoría de las investigaciones de seguridad se centran en la infraestructura de red y las aplicaciones, mientras que decidieron analizar la integración VoIP de Android. Encontrando estas debilidades de día cero.

Lo que encontraron fueron fallas que podrían permitir que un usuario malintencionado:
  • Negar llamadas de voz
  • Falsificar el identificador de llamadas
  • Realizar operaciones de llamada no autorizadas
  • Ejecutar código de forma remota
Las principales áreas problemáticas fueron las funciones VoLTE y VoWiFi de Android.

Los investigadores presentaron sus hallazgos a Google, quien los confirmó con premios de recompensas por errores.

Los defectos se descubrieron a través de una combinación novedosa de borrado de intención / API en el dispositivo, borrado de paquetes en el lado de la red y auditoría de código dirigido.

Descubrieron que los problemas estaban presentes desde la versión 7.0 de Android a la 9.0 más reciente, dos tercios de los cuales podrían ser explotados por un adversario del lado de la red debido al procesamiento incompatible entre las llamadas VoIP y PSTN.

Según los investigadores, las consecuencias de seguridad de las vulnerabilidades son “graves”, aunque se espera que Google lance un parche.

Sin embargo, no es la primera vez que las vulnerabilidades de VoIP aparecen en los titulares en las últimas semanas. Un informe del mes pasado encontró que el gigante de telecomunicaciones Avaya no había aplicado un parche a una vulnerabilidad conocida en su propio sistema telefónico, a pesar de que estuvo disponible hace 10 años.

Problemas de seguridad de Android

La noticia llega solo unos días después de que informamos sobre una explotación de día cero en el kernel de Android, que podría permitir que un pirata informático malicioso obtenga acceso de root a los teléfonos Android.

Esta vulnerabilidad fue parcheada en Android, versiones de kernel 3.18, 4.14, 4.4 y 4.9, pero no en versiones más recientes.

El problema para los usuarios es que el Grupo de Análisis de Amenazas (TAG) de Google confirmó que esta vulnerabilidad ya se había utilizado en ataques del mundo real. Sin embargo, requiere que una aplicación maliciosa ya esté instalada y ejecutándose en el teléfono del usuario.

Etiquetas
Mostrar más

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Publicaciones relacionadas

Botón volver arriba

¿Quieres estar al día de nuestras noticias?

Cerrar